﻿<AML>
 <Item type="Method" id="22C7C7FB16D046C3AF38E3A6D6E0F799" action="add">
  <execution_allowed_to keyed_name="World" type="Identity">A73B655731924CD0B027E4F4D5FCC0A9</execution_allowed_to>
  <method_code><![CDATA[/* *****************************************************************************
Method Name:			acc_invoice_to_customer_fill
Created By		:		SolidCAD 
Creation Date:			2018-01-23
Description:
	Get Customer Information according by choosing Invoice To and set.
	
Hooks:
	Type:	Form	:	sop_sale_invoice
	Event:	sop_invoice_to ( onChange )
	
	Type:	Form	:	sop_sale_order
	Event:	sop_invoice_to ( onChange )
	
	Type:	Form	:	sop_sale_order_Equipment
	Event:	sop_invoice_to ( onChange )
	
	Type:	Form	:	sop_commercial_invoice
	Event:	sop_invoice_to ( onChange )
	
	Type:	Form	:	sop_sale_order_Service
	Event:	sop_invoice_to ( onChange )
	
Revisions:
	Rev Date		Modified By			Description
	YYYY-MM-DD		$username$			Initial creation
***************************************************************************** */

//debugger;
var myInnovator = new Innovator();
var thisItem = document.thisItem;
var _customer_id = top.aras.getItemProperty(document.item, 'sop_invoice_to');

if (_customer_id !== "") {
    var customer_qry = myInnovator.newItem("Customer", "get");
    customer_qry.setProperty("id", _customer_id);
    var l_acc_result = customer_qry.apply();
    var l_acc_count = l_acc_result.getItemCount();
    if (l_acc_count > 0) {
        var customer = l_acc_result.getItemByIndex(0);

        var customer_id = customer.getProperty("id", "");
        var customer_phone = customer.getProperty("main_phone", "");
        var customer_address = customer.getProperty("address", "");
        handleItemChange("sop_invoice_to_contact", customer_phone);
        handleItemChange("sop_invoice_to_address", customer_address);
    }
}]]></method_code>
  <method_type>JavaScript</method_type>
  <name>acc_invoice_to_customer_fill</name>
 </Item>
</AML>